Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.complexscripts.fonts
Class GlyphMappingTable.RangeMappingTable

    java.lang.Object
      org.apache.fop.complexscripts.fonts.GlyphMappingTable
          org.apache.fop.complexscripts.fonts.GlyphMappingTable.RangeMappingTable

Enclosing class:
  GlyphMappingTable

    protected abstract static class GlyphMappingTable.RangeMappingTable

extends GlyphMappingTable

range mapping table base class

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.fop.complexscripts.fonts.GlyphMappingTable
`GlyphMappingTable.EmptyMappingTable, GlyphMappingTable.MappedMappingTable, GlyphMappingTable.MappingRange, GlyphMappingTable.RangeMappingTable`

Field Summary

Fields inherited from class org.apache.fop.complexscripts.fonts.GlyphMappingTable
`GLYPH_MAPPING_TYPE_EMPTY, GLYPH_MAPPING_TYPE_MAPPED, GLYPH_MAPPING_TYPE_RANGE`

Constructor Summary
`GlyphMappingTable.RangeMappingTable(java.util.List entries)` Construct range mapping table.

Method Summary
`java.util.List` | `getEntries()` Obtain mapping entries.
`int` | `getMappedIndex(int gid)` Map glyph identifier (code) to coverge index.
`abstract int` | `getMappedIndex(int gid, int s, int m)` Map glyph identifier (code) to coverge index.
`int` | `getMappingSize()` Obtain size of mapping table, i.e., ciMax + 1, where ciMax is the maximum mapping index.
`int` | `getType()` Obtain mapping type.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GlyphMappingTable.RangeMappingTable

    public GlyphMappingTable.RangeMappingTable(java.util.List entries)

  Construct range mapping table.

  Parameters:
    `entries` - of mapping ranges

Method Detail

### getType

    public int getType()

  Obtain mapping type.

  Overrides:
    `getType` in class `GlyphMappingTable`
  Returns:
    mapping format type

### getEntries

    public java.util.List getEntries()

  Obtain mapping entries.

  Overrides:
    `getEntries` in class `GlyphMappingTable`
  Returns:
    list of mapping entries

### getMappingSize

    public int getMappingSize()

  Obtain size of mapping table, i.e., ciMax + 1, where ciMax is the maximum mapping index.

  Overrides:
    `getMappingSize` in class `GlyphMappingTable`
  Returns:
    size of mapping table

### getMappedIndex

    public int getMappedIndex(int gid)

  Map glyph identifier (code) to coverge index. Returns -1 if glyph identifier is not in the domain of the mapping table.

  Overrides:
    `getMappedIndex` in class `GlyphMappingTable`
  Parameters:
    `gid` - glyph identifier (code)
  Returns:
    non-negative glyph mapping index or -1 if glyph identifiers is not mapped by table

### getMappedIndex

    public abstract int getMappedIndex(int gid,
                                       int s,
                                       int m)

  Map glyph identifier (code) to coverge index. Returns -1 if glyph identifier is not in the domain of the mapping table.

  Parameters:
    `gid` - glyph identifier (code)
    `s` - start of range
    `m` - mapping value
  Returns:
    non-negative glyph mapping index or -1 if glyph identifiers is not mapped by table

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.